commit 0bd646e44064921316fc51262ea66c40f172c76b
Author: Marc Souviron <victor.pongnian@laposte.net>
Date:   Sat Aug 24 02:35:12 2013 +0200

    remise en forme du travail de Victor Pongnian suit à son stage
    Il reste pas mal de cosmétique à revoir mais le système devrait déjà être utilisable dans l'état.

diff --git a/.htaccess b/.htaccess
new file mode 100644
index 0000000..a6593f6
--- /dev/null
+++ b/.htaccess
@@ -0,0 +1,4 @@
+AddDefaultCharset UTF-8
+php_value output_buffering off
+php_value display_errors on
+php_value error_reporting 32767
diff --git a/addParams.php b/addParams.php
index e64d387..dfaf1fa 100644
--- a/addParams.php
+++ b/addParams.php
@@ -1,118 +1,106 @@
 <!DOCTYPE html>
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
+<head>
+   <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
+   <link rel="stylesheet" media="screen" href="css/index_style.css" />
+   <title>Positionnerment dun panoramique</title>
 <?php
-if(isset($_GET['dir']) && isset($_GET['panorama'])){
-	
-	$_GET['dir'] = htmlspecialchars($_GET['dir']);              //Protection des variables GET.
-	$_GET['panorama'] = htmlspecialchars($_GET['panorama']);    // ...
-	
-	if (isset($_POST['param_latitude']) && isset($_POST['param_longitude']) 
-	&& isset($_POST['param_altitude']) && isset($_POST['param_elevation']) 
-	&& isset($_POST['param_title']) && isset($_POST['param_loop'])) {
-		
-		foreach ($_POST as $value)                              //Protection des variables POST.
-		{	
-		    $value = htmlspecialchars($value);
-		}
+   // tableau de vérification de conformité
+ $params = array('title' => array('name' => 'titre', 
+				  'pattern' => '^.{1,50}$',
+				  'required' => true),
+		 'latitude' => array('name' => 'latitude', 
+				     'type' => 'numeric',
+				     'min' => -180,
+				     'max' => 180,
+				     'required' => true),
+		 'longitude' => array('name' => 'longitude', 
+				     'type' => 'numeric',
+				      'min' => -180,
+				      'max' => 180,
+				      'required' => true),
+		 'altitude' => array('name' => 'altitude', 
+				     'type' => 'numeric',
+				     'min' => -180,
+				     'max' => 180,
+				     'required' => true),
+		 'loop' => array('name' => 'image_loop', 
+				 'type' => 'boolean',
+				 'required' => false),
+		 'dir' => array('required' => true),
+		 'panorama' => array('required' => true));
+$wrong = array();
+$values = array();
+// vérification de la conformité
+foreach($params as $param => $check) {
+  if (isset($_REQUEST['param_'.$param])) {
+    $tst = $_REQUEST['param_'.$param];
+    if ((isset($check['min']) || isset($check['max'])) && ! is_numeric($tst)) $wrong[$param] = "<em>$tst</em> ne correspond pas à une valeur numérique";
+    else if (isset($check['min']) && $tst < $check['min']) $wrong[$param] = "<em>$tst</em> trop bas";
+    else if (isset($check['max']) && $tst > $check['max']) $wrong[$param] = "<em>$tst</em> trop haut";
+    else if (isset($check['pattern']) && preg_match('/'.preg_quote($check['pattern']).'/', $tst)) $wrong[$param] = "<em>$tst</em> non conforme";
+    else $values[$param] = $tst;
+  } else if (isset($check['required']) && $check['required']) {
+    $wrong[$param] = '<em>$tst</em> est un paramètre manquant';
+  }
+}
 
-		/* --- Vérification des inputs avec des regex. ---*/
-	    // Pour la latitude : ( Le javascript bride entre -90 et 90)
-	    if (preg_match("#^(\-?[1-9]+[0-9]?[.,]{0,1}[0-9]{0,6}|\-?[0-9]{1}[.,]{0,1}[0-9]{0,6})$#", $_POST['param_latitude']))
-	    {
-	    	$lat = $_POST['param_latitude'];
-	        //echo 'Le ' . $_POST['param_latitude'] . ' est un numéro <strong>valide</strong> !';
-	    }
-	    else
-	    {
-	        echo 'Le ' . $_POST['param_latitude'] . ' n\'est pas valide, recommencez !';
-	        
-	    }
-	    
-	    // Pour la longitude : ( Le javascript bride entre -180 et 180)
-	    if (preg_match("#^(\-?[1-9]+[0-9]?[.,]{0,1}[0-9]{0,6}|\-?[0-9]{0,1}[.,]{1}[0-9]{0,6})$#", $_POST['param_longitude']))
-	    {
-	    	$lon = $_POST['param_longitude'];
-	        //echo 'Le ' . $_POST['param_longitude'] . ' est un numéro <strong>valide</strong> !';
-	    }
-	    else
-	    {
-	        echo 'Le ' . $_POST['param_longitude'] . ' n\'est pas valide, recommencez !';
-	        
-	    }
-	    
-	    // Pour l'altitude ( Le javascript bride entre 0 et 500)
-	    if (preg_match("#^([1-9]+[0-9]{0,4}|0)$#", $_POST['param_altitude']))
-	    {
-	    	$alt = $_POST['param_altitude'];
-	        //echo 'Le ' . $_POST['param_altitude'] . ' est un numéro <strong>valide</strong> !';
-	    }
-	    else
-	    {
-	        echo 'Le ' . $_POST['param_altitude'] . ' n\'est pas valide, recommencez !';
-	        
-	    }
-	    
-	    // Pour l'élévation  ( Le javascript bride entre -10 et 10)
-	    if (preg_match("#^(\-?[1-9]+[0-9]?|0)$#", $_POST['param_elevation']))
-	    {
-	    	$ele = $_POST['param_elevation'];
-	        //echo 'Le ' . $_POST['param_elevation'] . ' est un numéro <strong>valide</strong> !';
-	    }
-	    else
-	    {
-	        echo 'Le ' . $_POST['param_elevation'] . ' n\'est pas valide, recommencez !';
-	        
-	    }
-	    
-	    $loop = $_POST['param_loop'];   // Variable radio automatiquement présente
-	    if(isset($lat) && isset($lon) && isset($alt) && isset($ele) && isset($loop)) {
- 	
-	    	// On recherche le dossier correspondant au panorama en question
-	    	$dir_file = "/var/www/data/tsf2/vpongnian/panorama/".$_GET['dir']."/".$_GET['panorama'];
-	    	$dir_open = opendir($dir_file);
-	    	while (false !== ($file = readdir($dir_open))) {
-    	               // Si on trouve bien des tuiles
-		       if (preg_match('/(.*)_[0-9]+_[0-9]+_[0-9]+\.jpg$/', $file, $reg)) {
-			 $prefix = $reg[1];
-			 $new_param_file = $prefix.".params";
-			 break;   // On sort à la première tuile trouvée
-		       }
-		    }
-		    closedir($dir_open);
-		    
-		    $retour = "\n"; 
-                    // On vérifie qu'on a bien crée un nouveau fichier .params et on écrit dedans.
-		    if(isset($new_param_file)){
-		    	$param_file = fopen($dir_file."/".$new_param_file,'a+');
-		    	fputs($param_file,"titre = \"" . $_POST['param_title'] . "\"");
-		    	fputs($param_file,$retour);
-		    	fputs($param_file,"latitude = " . $lat);
-		    	fputs($param_file,$retour);
-		    	fputs($param_file,"longitude = " . $lon);
-		    	fputs($param_file,$retour);
-		    	fputs($param_file,"altitude = " . $alt);
-		    	fputs($param_file,$retour);
-		    	fputs($param_file,"elevation = " . $alt);
-		    	fputs($param_file,$retour);
-		    	fputs($param_file,"image_loop =" . $loop);
-		    	fputs($param_file,$retour);
-		    	fclose($param_file);
-		    	
-		    	echo 'Paramétrage OK. Retour au panorama';
-		    	header("Refresh: 1; URL=index.php");  
-		    } else {
-		    	
-		    	echo "<script>alert(\"impossible d'écrire dans le fichier\")</script>";
-		    }
-	    }
+if (isset($values['panorama'])) {
+  $back_url = sprintf('panorama.php?panorama=%s', $values['panorama']);
+  if (isset($values['dir'])) $back_url .= '&amp;dir='. $values['dir'];
+} else {
+  $back_url = '.';
+}
+
+if (count($wrong) == 0) {
+  // On recherche le dossier correspondant au panorama en question
+  $dir_file = "./".$values['dir']."/".$values['panorama'];
+  $dir_open = opendir($dir_file);
+  while (false !== ($file = readdir($dir_open))) {
+    // Si on trouve bien des tuiles
+    if (preg_match('/(.*)_[0-9]+_[0-9]+_[0-9]+\.jpg$/', $file, $reg)) {
+      $prefix = $reg[1];
+      $new_param_file = $prefix.".params";
+      break;   // On sort à la première tuile trouvée
+    }
+  }
+  closedir($dir_open);
+  
+  // On vérifie qu'on a bien créée un nouveau fichier .params et on écrit dedans.
+  if(isset($new_param_file)){
+    $fid = fopen($dir_file."/".$new_param_file,'a+');
+    echo '<p>Les valeurs suivantes sont utilisées.</p>'."\n";
+    echo "<dl>\n";
+    foreach ($values as $k => $v) {
+      echo "$k -$v<br/>\n";
+      if (isset($params[$k]['name'])) {
+	$nm = $params[$k]['name'];
+	if (isset($params[$k]['type']) && $params[$k]['type'] == 'numeric') {
+	  $vf = $v;
+	} else if (isset($params[$k]['type']) && $params[$k]['type'] == 'boolean') {
+	  $vf = $v ? "true" : "false"; 
 	} else {
-		echo '<script>alert(\'$_POST manquant\')</script>';
-		header("Refresh: 2; URL=javascript:history.back();"); 	
+	  $vf = "\"$v\"";
 	}
-} else {
-echo '<script>alert(\'La destinaton est manquante\')</script>';
-header("Refresh: 2; URL=javascript:history.back();");
+	fputs($fid, "$nm = $vf\n");
+	printf("<dt>%s</dt>\n<dd>%s</dd>\n", $nm, $vf);
+      }
+    }
+    echo "</dl>\n";
+    fclose($fid);
+    echo '<p class="succes">Paramétrage terminé.</p>'."\n";
+  } else {
+    printf("<p class=\"error\">impossible d'écrire dans le fichier '%s'</p>\n", $dir_file);
+  }
+ } else {
+  echo '<p class="error">Les valeurs suivantes sont incorrectes.</p>'."\n";
+  echo "<dl>\n";
+  foreach ($wrong as $k => $v) {
+    printf("<dt>%s</dt>\n<dd>%s</dd>\n", $k, $v);
+  }
+  echo "</dl>\n";
 }
+printf('<a href="%s">Retour au panorama</a></p>'."\n", $back_url);
 
 ?>
 </html>
diff --git a/class/site_point.class.php b/class/site_point.class.php
old mode 100755
new mode 100644
index 1a5de01..ccb0b83
--- a/class/site_point.class.php
+++ b/class/site_point.class.php
@@ -7,6 +7,8 @@ class site_point {
   private $zooms;
 
   public function __construct($dir) {
+    // si $dir n'est pas un répertoire il ne s'agit pas d'un panorama.
+    if (!is_dir($dir)) return;
     $this->base_dir = $dir;
     $dir_fd = opendir($this->base_dir);
   
@@ -80,8 +82,7 @@ class site_point {
     
     $e = atan2(($alt2 - $alt1)/1000 - $d*$d/(2*$rt), $d);  // angle de l'élévation en radians
     //    printf("%s, %s, %s, %s\n",$lat1, $this->params['latitude'], $lat, $dLat);
-	
-    return array($d, $cap*180/M_PI, $e*180/M_PI, $rapport);   // les résultats sont en degrés
+    return array($d, $cap*180/M_PI, $e*180/M_PI);   // les résultats sont en degrés
   }
   
 }
diff --git a/class/sites_dir.class.php b/class/sites_dir.class.php
old mode 100755
new mode 100644
index 1f5e2a9..c8d5057
--- a/class/sites_dir.class.php
+++ b/class/sites_dir.class.php
@@ -4,19 +4,11 @@ class sites_dir {
 
   public function __construct($dir) {
     $this->base_dir = $dir;
-    }
+  }
   
   public function get_sites() {
-	try
-	{
-	    $dir_fd = opendir($this->base_dir);
-	}
-	catch(Exception $e)
-	{
-		die('Erreur : '.$e->getMessage());
-	}
-	     
- 
+    $dir_fd = @opendir($this->base_dir);
+
     $point_list = array();
     while (false !== ($point_dir = readdir($dir_fd))) {
       $pt = new site_point($this->base_dir.'/'.$point_dir);
@@ -26,7 +18,6 @@ class sites_dir {
   }
   
   public function get_dir() {
-  	return $this->base_dir;
+    return $this->base_dir;
   }
-
 }
diff --git a/class/utils.class.php b/class/utils.class.php
new file mode 100644
index 0000000..796c94b
--- /dev/null
+++ b/class/utils.class.php
@@ -0,0 +1,18 @@
+<?php
+
+abstract class utils {
+  static public function init() {
+    function __autoload($class) {
+      $class_loc = 'class/'.$class.'.class.php';
+      if (is_readable($class_loc)) {
+	require_once($class_loc);
+      }
+    }
+
+    function errorToException($code, $msg, $file, $line) {
+      throw new Exception($msg);
+    }
+    set_error_handler('errorToException');
+  }
+
+}
diff --git a/envoyer.php b/envoyer.php
index ba995b3..bcb168b 100644
--- a/envoyer.php
+++ b/envoyer.php
@@ -1,168 +1,36 @@
-<?php $uid = md5(uniqid(rand())); ?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<!DOCTYPE html>
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
-	<head>
-    	
-    	<meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
-    	<link type="image/x-icon" rel="shortcut icon" href="images/tsf.png"/>
-  		<link rel="stylesheet" media="screen" href="css/view.css" />
-    	<title>Upload d'une image sur le serveur !</title>
-    	        <!-- suivi de l'upload par ajax. Peut être utile pour certains navigateurs qui ne renseigne pas l'avancement.
-		<script type="text/javascript">
-			var HttpRequestObject = false;
-			if(window.XMLHttpRequest) {
-			   HttpRequestObject = new XMLHttpRequest();
-			}
-			else if(window.ActiveXObject) {
-			   HttpRequestObject = new ActiveXObject("Microsoft.XMLHTTP");
-			}
-			
-			function startProgress(uid) {
-			  
-				
-			   <!--document.getElementById('upload').style.display = 'none';-->
-			   document.getElementById('pb_outer').style.display = 'block';
-			   setTimeout('getProgress("' + uid + '")', 1000);
-			  
-			   
-			   
-			}
-			function getProgress(uid) {
-			   if(HttpRequestObject) {
-			      HttpRequestObject.open('GET', 'getprogress.php?uid=' + uid, true);
-			      HttpRequestObject.onreadystatechange = function() {
-			         if(HttpRequestObject.readyState == 4 && HttpRequestObject.status == 200) {
-			            var response = HttpRequestObject.responseText;
-			            var elem = response.split('#');
-			            var progress = elem[0];
-			            var url =elem[1];
-			            var message=elem[2];
-			            
-			            document.getElementById('pb_inner').style.width = progress + '%';
-			            document.getElementById('pb_inner').innerHTML = progress + '%';
-			           
-			            if(progress < 100) {
-			               
-			               setTimeout('getProgress("' + uid + '")', 100);
-			                
-			            } else {
-				            if(message !=='') {
-				            	document.getElementById('pb_outer').style.display = 'none';
-				            	document.getElementById('pb_inner').style.width = 'none';
-				           		alert(message);
-				            } else {
-					            document.getElementById('pb_inner').innerHTML = 'Upload Complete!';
-					            document.location.href= url; 
-				            }
-			            }
-			         }
-			      }
-			      
-			      HttpRequestObject.send(null);
-			   }
-			}
-			
-			function showLoader() {
-				document.getElementById('loader').innerHTML = "Veuillez patienter ...  ";
-				
-				
-			}
-			
-		</script>
-	</head>
-	<body id="main_body">
-  		<img id="top" src="images/top.png" alt="">
-		<div id="form_container">
-			<h1><img src="images/tetaneutral.png"></h1>
-		
-	    	<form onSubmit="startProgress('<?php echo $uid; ?>');" action="uploadTest.php" method="post" class="appnitro" enctype="multipart/form-data" name="upload" id="upload" target="upload_frame">
-				 <h2>Ajouter un nouveau panorama</h2>
-										
-			<ul>
-				<li id="li_1" >
-					<label for="file" class="description">Envoyer le fichier :</label>
-					<div>
-			        <input type="hidden" name="APC_UPLOAD_PROGRESS" id="progress_key" value="<?php echo $uid; ?>" />
-			        <input type="file" name="file" id="file" />
-			   	 	</div>  
-				</li>
-				
-				<li class="buttons">
-	        		<input type="submit" name="submit" id="submit" value="Submit" />
-	        	</li>
-			</ul>
-			</form>
-			<!-- Fin du formulaire -->
-			<div id="footer">
-				<a href="./index.php">Retour liste</a>
-			</div>
-		</div>
-		<div id="infoSize">
-		<img src="images/bulle.png" id="bulle"/>
-		<label id="txtInfo">Le fichier à envoyer doit etre une image de type .tif ou .jpeg<br />
-        Taille maximale : 300 Mo</label>
-    	</div>
-		<!-- Barre d'upload -->
-		<div id="pb_outer">
-  		<div id="pb_inner"></div>
-  		</div>
-  		<p id="info"></p>
+  <head>
+    <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
+    <link type="image/x-icon" rel="shortcut icon" href="images/tsf.png"/>
+    <link rel="stylesheet" media="screen" href="css/view.css" />
+    <title>Envoi d'une image sur le serveur</title>
+  </head>
+  <body id="main_body">
+    <img id="top" src="images/top.png" alt="">
+    <div id="form_container">
+      <h1><img src="images/tetaneutral.svg"></h1>
+      <form action="uploadReceive.php" method="post" enctype="multipart/form-data" id="upload">
+	<h2>Ajouter un nouveau panorama</h2>
+	<ul>
+	  <li id="li_1" >
+	    <label for="file" class="description">Envoyer le fichier :</label>
+	    <div>
+	      <input type="hidden" name="APC_UPLOAD_PROGRESS" id="progress_key" value="panoramas"/>
+	      <input type="file" name="files[]" id="file" multiple="multiple"
+		     title="Le fichier à envoyer doit être une image de taille maximale 300 Mo"/>
+	    </div>  
+	  </li>
 	  
-	  <iframe style="display: none" id="upload_frame" name="upload_frame"></iframe>
-	 
-    <?php 
-    
-    /*******************************************************************
-     * Permet d'afficher l'image uploadée sur le serveur
-     *******************************************************************/
-
-    if(isset($_GET['img']) && isset($_GET['dir'])){
-  
-    	apc_delete('link');   // Suppression de la variable cache.
-    	
-    	$image_name = htmlspecialchars($_GET['img']);
-    	$dir_image = htmlspecialchars($_GET['dir']);
-    	
-        $basename = basename($_GET['img']);
-    	$filePartArr = explode('.', $basename);  
-        $ext = $filePartArr[count($filePartArr) - 1];
-	if($ext=="tif"){
-		$basename = basename($_GET['img'],".tif");
-	}else if($ext=="jpeg"){
-	      $basename = basename($_GET['img'],".jpeg");
-       	} else {
-	      $basename = basename($_GET['img'],".jpg");
-	} 
-    	        //Permet d'afficher l'image après uptload ( Conversion des .tiff et .jpg pour affichage dans le navigateur )
-		$input = 'convert /var/www/data/tsf2/vpongnian/panorama/upload/'.$_GET['img'].' -resize 10% /var/www/data/tsf2/vpongnian/panorama/upload/'.$basename.'.jpg'; // Adapter les chemins absolus ou relatifs
-		$escaped_command = escapeshellcmd($input);
-		$output = shell_exec($escaped_command);
-		echo "<pre>$output</pre>\n";
-		
-    ?><div id="genererPano">
-		<form enctype="multipart/form-data" action="<?php echo "envoyer.php"/*htmlspecialchars($_SERVER['PHP_SELF'])*/; ?>" method="post" onSubmit="showLoader()">
-		  <p>
-		    <label id="l_generer" for="no" title="Génerer le panoramique">Generer le panoramique :</label>
-		    <input type="hidden" name="image_name" value="<?php echo $image_name; ?>" />
-		    <input type="submit" name="no" value="pas maintenant"/>
-		    <input type="submit" name="yes" value="oui" />
-		    <label id="loader"></label>
-		  </p>
-		</form>
-	  </div>
-    <?php 
-   
-    echo "<img src=/data/tsf2/vpongnian/panorama/upload/".$basename.".jpg id='imageUpload'/>";
-    }  
-    if (isset($_POST['no'])) {
-		header("Location: ./index.php"); /* Redirection du navigateur */
-		exit;
-	} 
-	if (isset($_POST['yes'])) {
-		header("Location: ./genererPano.php?name=".$_POST['image_name']);
-		exit;
-	}
-    ?>
-   
+	  <li class="buttons">
+	    <input type="submit" name="submit" id="submit" value="Submit" />
+	  </li>
+	</ul>
+      </form>
+      <!-- Fin du formulaire -->
+      <div id="footer">
+	<a href="./index.php">Retour liste</a>
+      </div>
+    </div>
   </body>
-</html>
\ No newline at end of file
+</html>
diff --git a/genererPano.php b/genererPano.php
index 847ad22..b6cadca 100644
--- a/genererPano.php
+++ b/genererPano.php
@@ -1,40 +1,58 @@
-<?php
-	if (isset($_GET['name'])) {
-		// Protection de la variable GET
-		$pano_name = htmlspecialchars($_GET['name']);
-		$filePartArr = explode('.',$pano_name);  
-		$ext = $filePartArr[count($filePartArr) - 1];
-		if($ext=="tif"){
-			$pano_basename = basename($pano_name,".tif");
-		}else if($ext=="jpeg"){
-		      $pano_basename = basename($pano_name,".jpeg");
-		} else {
-			$pano_basename = basename($pano_name,".jpg");
-		} 
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
+<head>
+  <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
+  <link type="image/x-icon" rel="shortcut icon" href="images/tsf.png"/>
+  <title>convertiseur image vers panorama</title>
+</head>
 
-		//Partie exécutante du script gen_tiles qui gènere les tuiles à partir d'une image.
-		$input = './to_tiles/gen_tiles.sh -p '.$pano_basename.' /var/www/data/tsf2/vpongnian/panorama/upload/'.$pano_name;
-		$escaped_command = escapeshellcmd($input);
-		$output = shell_exec($escaped_command);
-		$log_file = fopen('./log/'.$pano_basename.'.log','a+');
-		fputs($log_file, $output);   // verbose intégré dans un .log.
-		fclose($log_file);
-		
-                // Ouverture d'un nouveau dossier qui contiendra toutes les tuiles.
-		$dir = '/var/www/data/tsf2/tiles/'.$pano_basename;
-		
-		mkdir($dir,0777);
-		
-		$dir_fd = opendir('/var/www/data/tsf2/vpongnian/panorama');
+<?php
+require 'class/utils.class.php';
+utils::init();
+if (isset($_GET['name'])) {
+  $pano_name = $_GET['name'];
+  $pano_basename = preg_replace('/\.[^.]+$/', '', $pano_name);
+  
+  //Partie exécutante du script gen_tiles qui gènere les tuiles à partir d'une image.
+  $panos_dir = 'tiles';
+  $pano_dest = $panos_dir.'/'.$pano_basename;
+  if (! is_dir($panos_dir)) {
+    echo "<p class=\"error\">le répertoire \"$panos_dir\" n'est pas accessible</p>\n";
+  } else if (file_exists($pano_dest)) {
+    echo "<p class=\"error\">le nom de répertoire \"$pano_dest\" est déjà pris</p>\n";
+  } else {
+    mkdir($pano_dest);
+    $escaped_command = escapeshellcmd('./to_tiles/gen_tiles.sh -p '.$pano_dest.'/'.$pano_basename.' ./upload/'.$pano_name);
 		
-		while (false !== ($image_name = readdir($dir_fd))) {
-	    	        // Déplacement des tuiles dans le nouveau dossier à partir de dir_fd.
-			if(preg_match('/(.*)_[0-9]+_[0-9]+_[0-9]+\.jpg$/', $image_name, $reg)) {
-	        	rename("./".$image_name, $dir."/".$image_name);
-	    	}
-	    	
-	    }
-	    closedir($dir_fd);
-	    header("Location: ./index.php?");
+    printf("<h2>Exécution de la commande :</h2>\n<p class=\"cmd\"><samp>%s</samp></p>\n<pre>", htmlspecialchars($escaped_command));
+    if ($fp = popen($escaped_command, 'r')) {
+      while (!feof($fp)) {
+	//set_time_limit (20); 
+	$results = fgets($fp, 4096);
+	if (strlen($results) == 0) {
+	  // stop the browser timing out
+	  flush();
+	} else {
+	  $tok = strtok($results, "\n");
+	  while ($tok !== false) {
+	    echo htmlspecialchars(sprintf("%s\n",$tok))."<br/>";
+	    flush(); 
+	    $tok = strtok("\n");
+	  }
 	}
-?>
\ No newline at end of file
+      }
+      print("</pre>\n");
+      if (pclose($fp) === 0) {
+	print("<h4><span class=\"success\">Opération réussie</span></h4>\n");
+	printf("<p>Pour acceder directement au panorama <a href=\"panorama.php?dir=%s&amp;panorama=%s\">cliquer ici</a></p>\n", 
+	       $panos_dir, $pano_basename);
+      } else {
+	print("<h4><span class=\"error\">Opération en échec durant l'exécution du script !</span></h4>\n");
+      }
+    } else {
+      print("<h4><span class=\"error\">Opération en échec à l'ouverture du script !</span></h4>\n");
+    }
+  }
+  print("<p>Pour acceder à la liste des panoramas <a href=\".\">cliquer ici</a></p>\n") ;
+}
+?>
diff --git a/index.php b/index.php
old mode 100755
new mode 100644
index c4c63ef..119a744
--- a/index.php
+++ b/index.php
@@ -1,56 +1,56 @@
 <!DOCTYPE html>
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
-<head>
-  <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
-  <title>Liste des panoramas</title>
-  <link rel="stylesheet" media="screen" href="css/index_style.css" />
-  <script src="js/pano.js"></script>
-</head>
-<body>
-	<img id="top" src="images/top.png" alt="">
-	<div id="index_container">
-		<h1><img src="images/tetaneutral.png" /></h1>
-	  	<h2>Liste des panoramas</h2>
-		   <?php
-		  
-		   require 'class/site_point.class.php';
-		   require 'class/sites_dir.class.php';
-		   
-		   echo '<div id="containerList">';
-		   echo '<ul>';
-		 
-		   if(isset($_GET['dir']) && is_dir($_GET['dir'])) {
-		     $base_dir = $_GET['dir']; 
-		   } else {
-		    $base_dir='tiles';
-		   }
-		   
-		   $dir = new sites_dir($base_dir);
-		 
-		   
-		   foreach($dir->get_sites() as $pt) {
-		   
-		     $params = $pt->get_params();
-		     if (isset($params['titre'])) {
-		       $cmt = $params['titre'];
-		      
-		     } else {
-		       $cmt = sprintf('fichier <samp>%s/%s</samp>', $pt->get_name(), $pt->get_prefix());
-		     }
-		     
-		     printf ('<li><a href="panorama.php?dir=%s&amp;panorama=%s">%s</a></li>'."\n", $base_dir, $pt->get_name(), $cmt);
-		   }
-		   ?>
-		</div>
-	</div>
-   <div id="interaction">
-   
-   <li><a href="./envoyer.php" title="Envoyer une image sur le site">Ajouter un panorama</a></li>
-   <li><a href="./creerPano.php" title="Générer un panorama à partir d\'une image déjà envoyée">Générer un panorama</a></li>
- 
-   </div>
-   </ul>
- <img id="bottom" src="images/bottom.png" alt="">
-  <p><a href="http://validator.w3.org/check?uri=referer">page xHTML validé !</a></p>
-</body>
+  <head>
+    <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
+    <title>Liste des panoramas</title>
+    <link rel="stylesheet" media="screen" href="css/index_style.css"/>
+  </head>
+  <body>
+    <header>
+      <h1><img src="images/tetaneutral.svg" alt="tetaneutral.net"/></h1>
+    </header>
+    <section id="main">
+      <h2>Liste des panoramas</h2>
+      <?php
+require 'class/utils.class.php';
+utils::init();
+
+if(isset($_GET['dir']) && is_dir($_GET['dir'])) {
+  $base_dir = $_GET['dir']; 
+} else {
+  $base_dir='tiles';
+}
+
+$dir = new sites_dir($base_dir);
+try {
+  $sites_list = $dir->get_sites();
+
+  echo "<ul id=\"pano-list\">\n";
+	
+  foreach($sites_list as $pt) {
+    $params = $pt->get_params();
+    $pos_file = sprintf('%s/%s', $pt->get_name(), $pt->get_prefix());
+    if (isset($params['titre'])) {
+      $cmt = $params['titre'];
+      $title = sprintf(' title="fichier : %s"', $pos_file);
+    } else {
+      $cmt = sprintf('<samp>%s</samp>', $pos_file);
+      $title = ''; 
+    }
+    printf ('<li%s><a href="panorama.php?dir=%s&amp;panorama=%s">%s</a></li>'."\n", $title, $base_dir, $pt->get_name(), $cmt);
+  }
+  echo "</ul>\n";
+} catch (Exception $e) {
+  printf("<h3 class=\"warning\">désolé mais aucun site n'est disponible...</h3>\n");
+}
+?>
+      <p id="interaction">
+	<a href="envoyer.php" title="Envoyer une image sur le site">Ajouter un panorama</a>
+	<a href="creerPano.php" title="Générer un panorama à partir d\'une image déjà envoyée">Générer un panorama</a>
+      </p>
+    </section>
+    <footer>
+      <p class="validators"><a href="http://validator.w3.org/check?uri=referer">page xHTML validé !</a></p>
+    </footer>
+  </body>
 </html>
diff --git a/js/hide_n_showForm.js b/js/hide_n_showForm.js
index 9ae4f74..76dc58d 100644
--- a/js/hide_n_showForm.js
+++ b/js/hide_n_showForm.js
@@ -1,5 +1,4 @@
 function showForm() { 
-  
     var displayAddParams = document.getElementById('addParams');
     var displayAdding = document.getElementById ('adding');
     displayAddParams.style.visibility = 'hidden';
@@ -7,7 +6,6 @@ function showForm() {
 } 
   
 function hideForm() { 
-      
     var displayAddParams = document.getElementById('addParams');
     var displayAdding = document.getElementById ('adding');
     displayAddParams.style.visibility = 'visible';
@@ -15,17 +13,15 @@ function hideForm() {
 } 
   
 function showLoca() { 
-      
-    var displayloca = document.getElementById('loca');
+    var displayloca = document.getElementById('loca_show');
     var putDraw = document.getElementById ('locadraw');
     displayloca.style.visibility = 'hidden';
     putDraw.style.visibility = 'visible'; 
 } 
   
 function hideLoca() { 
-      
-    var displayloca = document.getElementById('loca');
+    var displayloca = document.getElementById('loca_show');
     var putDraw = document.getElementById ('locadraw');
     displayloca.style.visibility = 'visible';
     putDraw.style.visibility = 'hidden';
-} 
\ No newline at end of file
+}
